View Issue Details

IDProjectCategoryView StatusLast Update
0004517SymmetricDSBugpublic2020-09-17 15:53
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.3Fixed in Version3.12.3 
Summary0004517: Stream to file threshold, Illegal State Exception: There is no content to read. Memory buffer was empty
DescriptionThe stream.to.file.threshold.bytes parameter can no longer be set to a value greater than zero for caching small batches in memory. The staging resource throws an illegal state exception complaining that "There is no content to read. Memory buffer was empty".

Parameter seems to work on versions 3.8 through 3.11, but not 3.12 Unable to find root cause that broke it. It seems like client code (Data Extractor?) is calling staging manager's find() without first calling create(), so the memory resource is never put into the cache, and subsequent calls to retrieve from cache end up creating a new resource.
Tagsstaging

Relationships

related to 0004557 assignedelong Stream to file, Illegal State Exception: There is no content to read. Memory buffer was empty 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 65b29596

2020-08-31 12:50:22

admin

Details Diff
0004517: Illegal State Exception: There is no content to read. Memory
buffer was empty
Affected Issues
0004517
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2020-08-31 12:49 elong New Issue
2020-08-31 12:49 elong Status new => assigned
2020-08-31 12:49 elong Assigned To => elong
2020-08-31 12:49 elong Tag Attached: staging
2020-08-31 12:50 elong Status assigned => resolved
2020-08-31 12:50 elong Resolution open => fixed
2020-08-31 12:50 elong Fixed in Version => 3.12.3
2020-08-31 13:00 admin Changeset attached => SymmetricDS 3.12 65b29596
2020-09-01 08:20 elong Status resolved => closed
2020-09-17 15:49 elong Summary Illegal State Exception: There is no content to read. Memory buffer was empty => Stream to file threshold, Illegal State Exception: There is no content to read. Memory buffer was empty
2020-09-17 15:53 elong Relationship added related to 0004557